> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a profile



## OpenAPI

````yaml /api-reference/openapi.json post /v1/profiles
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/profiles:
    post:
      tags:
        - profiles
      summary: Create a profile
      operationId: ProfilesController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProfileDto'
      responses:
        '201':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    CreateProfileDto:
      type: object
      properties:
        name:
          type: string
          example: My Brand
        color:
          type: string
          example: '#6366f1'
        description:
          type: string
        isDefault:
          type: boolean
          default: false
      required:
        - name
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````